Prevent usernames from using "@", which will stop people from using email addresses for usernames, a very common reason for blocking
Closed, ResolvedPublic

Description

Author: drkolb

Description:
I'm not sure whether I put this in the right place. I guess it would be a change
to the MediaWiki software, but there is no choice for that. There is something
called MediaZilla, but I do not know what that is. On Wikipedia it just
redirects to Wikipedia:Bugzilla. I think it should only be done on the English
Wikipedia for now, since other languages may have different policies about
usernames.

Getting to the feature request, I think @ should be prohibited from usernames to
stop people from using email addresses for usernames. While names consisting of
email address are not expressly prohibited, they are strongly discouraged on the
username policy page, and more importantly, editors with such usernames are
virtually guaranteed to be blocked. All they need to do is get the attention of
an admin who blocks for that reason.

First it would save work for admins. Second, new editors would not be blocked
for using an email address for their usernames. New users are likely to be hurt
that they were blocked and simply leave the project rather than getting a new
username. Third, if the editors who are blocked have read the username policy
and saw that usernames consisting of email addresses are not prohibited, he or
she may feel lied to. Fourth, editors would get less spam, as their email
address on their user page or user talk page, often telling them that they have
been blocked, can be harvested. Frequently, a user page or user talk page is
specifically created to tell them that they have been blocked. Certainly, this
is not very bright if the main reason for blocking such usernames is to prevent
spam. Their email addresses may be on some talk pages and Wikipedia namespace
pages, too, if they make some edits before being blocked. Fifth, even
disregarding the spam issue, alienating new users and saving time, having an
email address for a username is awkward. Similarly, usernames consisting of
random letters and/or numbers are blocked.

Note: I had to remove all keywords, like "block", "username", "email" and
"e-mail". I got an error message that said the first one was an unrecognized
keyword, so I deleted it and tried again. I got the same error message, so I
deleted it and tried again, but it still did not work. It gave a list of odd,
code-type keywords, but I could have sworn that previously you just put in words
that people are likely to search for.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz6849.
bzimport created this task.Via LegacyJul 29 2006, 10:00 AM
bzimport added a comment.Via ConduitJul 30 2006, 1:41 AM

ayg wrote:

  1. The Wikimedia product consists of only stuff related to Wikimedia sites,

specifically things on Wikimedia sites that require dev intervention. The
correct product for MediaWiki concerns is, of course, "MediaWiki".

  1. The keyword field has only ever had a limited list of keywords, to the best

of my knowledge. Arbitrary keywords go in the summary.

  1. It's possibly a good idea, yes. It could be implemented via [[m:Spam

blacklist]], however, so I don't think this is necessarily a software request
unless that code is somehow majorly outdated (Rob's comment at
http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/UsernameBlacklist/UsernameBlacklist.php?view=log
that "I need to rewrite this entire extension" doesn't bode well for that).

bzimport added a comment.Via ConduitJul 30 2006, 6:24 AM

jimmy.collins wrote:

(In reply to comment #0)

Note: I had to remove all keywords, like "block", "username", "email" and
"e-mail". I got an error message that said the first one was an unrecognized
keyword, so I deleted it and tried again. I got the same error message, so I
deleted it and tried again, but it still did not work. It gave a list of odd,
code-type keywords, but I could have sworn that previously you just put in words
that people are likely to search for.

Kevin - follow the link behind "Keywords"
(http://bugzilla.wikimedia.org/describekeywords.cgi). Here you can see which
keywords are allowed to use. I think you misunderstood the meaning of this field.

bzimport added a comment.Via ConduitJul 31 2006, 3:10 AM

king.of.hearts.wiki wrote:

I think we should block anything recognizable as an email address, such as $1 +
"@" + $2 + ".com" (the dollar signs represent strings of characters). For
example, there are several important users with a @ in their name, such as I@n
(an en sysop).

bzimport added a comment.Via ConduitSep 26 2006, 2:47 PM

koen wrote:

As a sysop on nl.wp, I would really like this to be implemented.

brion added a comment.Via ConduitSep 26 2006, 4:07 PM

Fixed in r16658.

Existing usernames won't be blocked for now, but they ought to get renamed...

bzimport added a comment.Via ConduitSep 26 2006, 5:09 PM

koen wrote:

Thanks Brion!

bzimport added a comment.Via ConduitOct 6 2006, 1:06 PM

walter wrote:

(In reply to comment #5)

Fixed in r16658.Existing usernames won't be blocked for now, but they ought to get renamed...

To inform the community correctly about this in Wikizine;

  • the @-symbol can not be used anymore for new accounts on the WMF-wikis (so not only EN)
  • existing user names will still have excess temporary but need to change there username
    • -> for how long? Until the single login migration or so? Can you give a time frame?
bzimport added a comment.Via ConduitOct 6 2006, 1:33 PM

ayg wrote:

(In reply to comment #7)

  • the @-symbol can not be used anymore for new accounts on the WMF-wikis (so

not only EN)

New accounts containing the "@" character can no longer be created on any wiki
running the trunk (i.e., latest unstable) version of MediaWiki, including all
WMF sites. That I can answer; the rest I don't know.

bzimport added a comment.Via ConduitOct 8 2006, 7:24 AM

beesley wrote:

2 questions -

Are you only blocking @ or also the similar looking @?

Is there a reason (other than English Wikipedia policy) to force name changes?
Will other wikis need to rename their users or is it fine for those people to
continue using their old usernames? We have 159 users with @ or @ in their name
on Wikia and no easy way to rename them since it's a shared user database.

bzimport added a comment.Via ConduitOct 8 2006, 11:46 PM

ayg wrote:

Only @ (U+40) is blocked. Again, the rest I don't know.

werdna added a comment.Via ConduitNov 30 2006, 11:26 AM

No comment for reopening, reclosing.

bzimport added a comment.Via ConduitNov 30 2006, 11:36 AM

brewhaha wrote:

Most of these arguments for disabling e-mail addresses in usernames also apply to *not* encouraging
them to chaynj their username. i.e. Their old edition would bear marks from their old username
unless a bot wer to chaynj their signatures.

What about standards compliance. HTML 3.2 requires <link rev=made
href="mailto:brewhaha@freenet.edmonton.ab.ca"> tags, and in order for wiki to meet that standard, it
could (in theory, anyway) provide an e-mail interface to edition. How that would go? Typically, spam
would contain the wrong subject, so I guess it could be automatically filtered from the majordomo.

bzimport added a comment.Via ConduitNov 30 2006, 11:44 AM

brewhaha wrote:

Scott's Second Law:

When an error has been detected and corrected,
it will be found to have been correct in the first place.
bzimport added a comment.Via ConduitNov 30 2006, 11:45 AM

brewhaha wrote:

Scott's Second Law:

When an error has been detected and corrected,
it will be found to have been correct in the first place.
bzimport added a comment.Via ConduitNov 30 2006, 12:56 PM

robchur wrote:

  1. This is *not* a Wikimedia mailing list error
  2. Usernames containing the @ symbol are no longer permitted in usernames; that

being the focus of this bug, which is now resolved, this bug is now resolved

Please raise new issues on a new bug so we can quickly evaluate them.

bzimport added a comment.Via ConduitDec 12 2006, 1:22 PM

brewhaha wrote:

It prevents edition being performed by e-mail. It's a _blocker_ to development.
It also prevents wikimedia from meeting backward compatibility to HTML 3.2,
which *requires* ownership tags. As I mentioned these could be implemented in wikimedia by putting
the mailing list into these ownership tags. Again, this restriction _blocks_ development.

bzimport added a comment.Via ConduitDec 12 2006, 1:30 PM

rotemliss wrote:

I don't understand the problem you mentioned. It doesn't seem to be related to
this bug: please open a new bug. Also note that MediaWiki's HTML doesn't have to
be HTML 3.2 compatible (especially not about including <link> tag, which is not
important), as HTML 3.2 is just too old. Please *do not* edit this bug for this,
but open a new bug.

bzimport added a comment.Via ConduitDec 12 2006, 1:50 PM

brewhaha wrote:

I use a sloppy browser most of the time, now, because I can't afford a shell account, and I haven't
taken the time to install lynx on my localhost. As far as HTML 3.2 is concerned, well, HTML 4.01
isn't backward compatible with it. Neither was UTF-8. Backward compatibility was a watchword.
Sloppy browsers ignore this tag: <link rev=made href="mailto:abuse@ecn.ab.ca">
Sloppy people reinvent it. Please consider the details of my proposal to move the bug into another
category at the lowest priority and unspecified version.

bzimport added a comment.Via ConduitDec 12 2006, 1:55 PM

rotemliss wrote:

Again, please open a new bug report here:
http://bugzilla.wikimedia.org/enter_bug.cgi , and clarify your proposal *there*
(not here). This bug is closed and should not be edited or reopened unless
usernames with "@" are allowed again by mistake.

Add Comment